<?php
/*
   Plugin - PlogHaiku
   Copyright (C) 2005 Darren Greer
                                                                                   
   This library is free software; you can redistribute it and/or modify it
   under the terms of the GNU Lesser General Public License as published by
   the Free Software Foundation; either version 2.1 of the License, or
   (at your option) any later version.
   */


include_once(PLOG_CLASS_PATH."class/object/object.class.php");

class PlogHaikuObject extends Object
{
  var $_id;
  var $_syl;
  var $_text;
  var $_date;
  var $_owner_id;
  var $_blog_id;

  function PlogHaikuObject($id,$syl,$text,$date,$owner_id,$blog_id)
  {
    $this->Object();
    $this->_id = $id;
    $this->_syl = $syl;
    $this->_text = $text;
    $this->_date = $date;
    $this->_owner_id = $owner_id;
    $this->_blog_id = $blog_id;
  }

  function getId() {return $this->_id;}
  function getSyl() {return $this->_syl;}
  function getText() {return $this->_text;}
  function getDate() {return $this->_date;}
  function getOwnerId() {return $this->_owner_id;}
  function getBlogId() {return $this->_blog_id;}
  
}

?>
